#include <iostream>
using namespace std;
/* run this program using the console pauser or add your own getch, system("pause") or input loop */

int main(int argc, char** argv) {
	ios_base::sync_with_stdio(false);
	int n,i;
	double a[200000],p[200000],max=0,maxi,z=0,po;
	cin>>n;
	for(i=0;i<n;i++){
		cin>>a[i]>>p[i];
	}
	for(i=0;i<n;i++){
		po=p[i];
		z=0;
		for(int j=0;j<n;j++){
			if(p[j]>=po){
				//cout<<po<<" "<<a[j]<<" "<<p[j]<<endl;
				z=z+a[j];	
			}
		}
		z=z*po/100;
		if(z>=max){
			max=z;
		}
		///cout<<endl<<endl;
		//cout<<z<<endl;
	}
	//cout<<max<<endl;
	printf("%f",max);
	return 0;
}